/*
 * DoorLock.c
 *
 *  Created on: Dec 27, 2011
 *      Author: RomanM
 */

#include "ServicePort/setting.h"
#include "hal_DoorLock.h"

/*
 * Initialization of the door lock
 */
void DoorLock_Init(void) {
	hal_DoorLock_Init();
}

/*
 * Unlock the door
 */
void DoorLock_Open(void) {
	hal_DoorLock_SetVoltage(setting.doorLockVoltage);
}

/*
 * Lock the door
 */
void DoorLock_Close(void) {
	hal_DoorLock_SetVoltage(0);
}

/*
 * Get status of control loop on door lock
 */
uint8_t DoorLock_GetLockLoop(void) {
	return !hal_DoorLock_GetLockLoop();
}

/*
 * Get status of control loop on door
 */
uint8_t DoorLock_GetDoorLoop(void) {
	return !hal_DoorLock_GetDoorLoop();
}
